Part Box: Difference between revisions

From FreeCAD Documentation
(Description)
mNo edit summary
Line 27: Line 27:


</translate>
</translate>
[[Image:Part_Box_Example.png|Part Box Example|400px]]
[[Image:Part_Box_Example.png|400px]]
<translate>
<translate>



Revision as of 09:07, 1 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Box command creates a parametric box solid, a rectangular cuboid. In the coordinate system defined by its DataPlacement property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

  1. There are several ways to invoke the command:
    • Press the Cube button.
    • Select the Part → Primitives → Cube option from the menu.

Example

Part Box scripting example

A Part Box object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Box

  • DataLength (Length): The length of the box. This is the dimension in the x-direction.
  • DataWidth (Length): The width of the box. This is the dimension in the y-direction.
  • DataHeight (Length): The height of the box. This is the dimension in the z-direction.

Scripting

A Part Box is created with the addObject() method of the document.

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where myBox is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

box.Label = "new myBoxName"

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 4
box.Width = 8
box.Height = 12

You can change its placement and orientation with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))